| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.line Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.line:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.line:
[legend]

## Public Member Functions
def | __init__ (self, name, item)
def | __repr__ (self)

## Public Attributes
| name
| item

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

Definition at line 190 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.line.__init__ | ( |  | self,
|  |  | name,
|  |  | item
| ) |  |

Definition at line 191 of file ControlFlow.py.

191 def __init__(self, name, item):
192 self.name = name
193 self.item = item
194
GaudiConfig.ControlFlow.line.item
item
Definition: ControlFlow.py:193
GaudiConfig.ControlFlow.line.__init__
def __init__(self, name, item)
Definition: ControlFlow.py:191
GaudiConfig.ControlFlow.line.name
name
Definition: ControlFlow.py:192

## Member Function Documentation

def GaudiConfig.ControlFlow.line.__repr__ | ( |  | self | ) |

Definition at line 195 of file ControlFlow.py.

195 def __repr__(self):
196 return "line(%r, %r)" % (self.name, self.item)
197
GaudiConfig.ControlFlow.line.item
item
Definition: ControlFlow.py:193
GaudiConfig.ControlFlow.line.name
name
Definition: ControlFlow.py:192
GaudiConfig.ControlFlow.line.__repr__
def __repr__(self)
Definition: ControlFlow.py:195

def GaudiConfig.ControlFlow.line._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 198 of file ControlFlow.py.

198 def _visitSubNodes(self, visitor):
199 self.item.visitNode(visitor)
200
201
GaudiConfig.ControlFlow.line._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:198

## Member Data Documentation

GaudiConfig.ControlFlow.line.item

Definition at line 193 of file ControlFlow.py.

GaudiConfig.ControlFlow.line.name

Definition at line 192 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py